package com.palmnest.dao.notice;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.output.NoticeUserOutDto;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.notice.WxtemplateMessageModel;
import com.palmnest.model.notice.WxtemplateMessageTypeModel;

public interface WxtemplateMessageDao extends GenericDao<WxtemplateMessageModel, Integer> {
	public Page getDataList(Map<String, Object> map, int pageNo, int pageSize) throws Exception;

	public Page getDataListWithWxPub(int pageNo, int pageSize) throws Exception;

	public Page getPublicList(String orgIds) throws Exception;

	public Page getWxPublicno(int id) throws Exception;

	public Page getAllTempByWxPub(int id, int pageNo, int pageSize) throws Exception;

	public ArrayList<WxtemplateMessageTypeModel> getWxtemplateMessageTypeModelList(int wxId) throws Exception;

	public Page getWxPublicByWxTableId(int id) throws Exception;

	public Page getWxTableByWxPublicId(int id) throws Exception;

	public Integer getTotal(String orgIds);
//	public WxtemplateMessageModel getWxtemplateMessageModelByWechat_template_id(int wechat_template_id)throws Exception;
	
	/**
	 * 根据用户id获取用户
	 * @param userIds
	 * @return
	 */
	public List<Map<String,Object>> getUserlistByUserIds(String userIds);
}
